package com.zkqy.common.utils;

import java.lang.reflect.Field;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class CollectionUtil {

    /**
     * object转List
     * @param obj
     * @param clazz
     * @param <T>
     * @return
     */
    public static <T> List<T> castList(Object obj, Class<T> clazz)
    {
        List<T> result = new ArrayList<T>();
        if(obj instanceof List<?>)
        {
            for (Object o : (List<?>) obj)
            {
                result.add(clazz.cast(o));
            }
            return result;
        }
        return null;
    }
    // 复制集合，将驼峰转换成下划线
    public static List<Map<String, Object>> copyListMapWithCamelToUnderline(List<Map<String, Object>> maps) {
        List<Map<String, Object>> resMap = new ArrayList<>();
        for (Map<String, Object> map : maps) {
            HashMap<String, Object> tempMap = new HashMap<>();
            map.forEach((s, o) -> tempMap.put(StringUtils.toUnderScoreCase(s),o));
            resMap.add(tempMap);
        }
        return resMap;
    }

}
