package com.zkqy.system.entity;

import com.zkqy.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zkqy.common.annotation.Excel;

/**
 * 新新页面设计对象 mobile_page_design_data
 * 
 * @author zkqy
 * @date 2025-03-24
 */
public class MobilePageDesignData extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 页面json数据 */
    @Excel(name = "组件生成规则")
    private String pageJson;

    /** 页面options数据 */
    @Excel(name = "表单配置规则")
    private String pageOptions;

    /** 预览链接 */
    @Excel(name = "预览链接")
    private String pageLink;

    @Excel(name = "组件数据")
    private String componentData;

    // URI编码后的数据，实际使用需要解码
    @Excel(name = "html数据")
    private String htmlData;

    /** 创建者id */
    @Excel(name = "创建者id")
    private Long createById;

    /** 更新者id */
    @Excel(name = "更新者id")
    private Long updateById;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 数据条审批状态（默认字段 0:已提交、1:已通过、2:不通过、3:未提交、4:驳回、5:审批中） */
    @Excel(name = "数据条审批状态", readConverterExp = "默=认字段,0=:已提交、1:已通过、2:不通过、3:未提交、4:驳回、5:审批中")
    private String dataApprovalStatus;

    /** 流程编号 */
    @Excel(name = "流程编号")
    private String processKey;

    /** 任务编码 */
    @Excel(name = "任务编码")
    private String taskProcessKey;

    /** 任务节点编码 */
    @Excel(name = "任务节点编码")
    private String taskNodeKey;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setPageJson(String pageJson) 
    {
        this.pageJson = pageJson;
    }

    public String getPageJson() 
    {
        return pageJson;
    }
    public void setPageOptions(String pageOptions) 
    {
        this.pageOptions = pageOptions;
    }

    public String getPageOptions() 
    {
        return pageOptions;
    }
    public void setPageLink(String pageLink) 
    {
        this.pageLink = pageLink;
    }

    public String getPageLink() 
    {
        return pageLink;
    }
    public void setCreateById(Long createById) 
    {
        this.createById = createById;
    }

    public Long getCreateById() 
    {
        return createById;
    }
    public void setUpdateById(Long updateById) 
    {
        this.updateById = updateById;
    }

    public Long getUpdateById() 
    {
        return updateById;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }
    public void setDataApprovalStatus(String dataApprovalStatus) 
    {
        this.dataApprovalStatus = dataApprovalStatus;
    }

    public String getDataApprovalStatus() 
    {
        return dataApprovalStatus;
    }
    public void setProcessKey(String processKey) 
    {
        this.processKey = processKey;
    }

    public String getProcessKey() 
    {
        return processKey;
    }
    public void setTaskProcessKey(String taskProcessKey) 
    {
        this.taskProcessKey = taskProcessKey;
    }

    public String getTaskProcessKey() 
    {
        return taskProcessKey;
    }
    public void setTaskNodeKey(String taskNodeKey) 
    {
        this.taskNodeKey = taskNodeKey;
    }

    public String getTaskNodeKey() 
    {
        return taskNodeKey;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("pageJson", getPageJson())
            .append("pageOptions", getPageOptions())
            .append("pageLink", getPageLink())
            .append("remark", getRemark())
            .append("createById", getCreateById())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateById", getUpdateById())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .append("dataApprovalStatus", getDataApprovalStatus())
            .append("processKey", getProcessKey())
            .append("taskProcessKey", getTaskProcessKey())
            .append("taskNodeKey", getTaskNodeKey())
            .toString();
    }

    public String getComponentData() {
        return componentData;
    }

    public void setComponentData(String componentData) {
        this.componentData = componentData;
    }

    public String getHtmlData() {
        return htmlData;
    }

    public void setHtmlData(String htmlData) {
        this.htmlData = htmlData;
    }

}
