package com.zkqy.system.entity;

import com.zkqy.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zkqy.common.annotation.Excel;

/**
 * 移动端页面导航条设计对象 mobile_page_navigation_bar
 * 
 * @author zkqy
 * @date 2025-04-07
 */
public class MobilePageNavigationBar extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 导航条名称 */
    @Excel(name = "导航条名称")
    private String name;

    /** 导航条类型 */
    @Excel(name = "导航条类型")
    private String type;

    /** 导航条顺序 */
    @Excel(name = "导航条顺序")
    private String barOrder;

    /** 绑定页面id */
    @Excel(name = "绑定页面id")
    private Long pageId;

    /** 绑定页面名称 */
    @Excel(name = "绑定页面名称")
    private String pageName;

    /** 创建者id */
    @Excel(name = "创建者id")
    private Long createById;

    /** 更新者id */
    @Excel(name = "更新者id")
    private Long updateById;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 数据条审批状态（默认字段 0:已提交、1:已通过、2:不通过、3:未提交、4:驳回、5:审批中） */
    @Excel(name = "数据条审批状态", readConverterExp = "默=认字段,0=:已提交、1:已通过、2:不通过、3:未提交、4:驳回、5:审批中")
    private String dataApprovalStatus;

    /** 流程编号 */
    @Excel(name = "流程编号")
    private String processKey;

    /** 任务编码 */
    @Excel(name = "任务编码")
    private String taskProcessKey;

    /** 任务节点编码 */
    @Excel(name = "任务节点编码")
    private String taskNodeKey;

    private MobilePageDesignData mobilePageDesignData;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setBarOrder(String barOrder) 
    {
        this.barOrder = barOrder;
    }

    public String getBarOrder() 
    {
        return barOrder;
    }
    public void setPageId(Long pageId) 
    {
        this.pageId = pageId;
    }

    public Long getPageId() 
    {
        return pageId;
    }
    public void setPageName(String pageName) 
    {
        this.pageName = pageName;
    }

    public String getPageName() 
    {
        return pageName;
    }
    public void setCreateById(Long createById) 
    {
        this.createById = createById;
    }

    public Long getCreateById() 
    {
        return createById;
    }
    public void setUpdateById(Long updateById) 
    {
        this.updateById = updateById;
    }

    public Long getUpdateById() 
    {
        return updateById;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }
    public void setDataApprovalStatus(String dataApprovalStatus) 
    {
        this.dataApprovalStatus = dataApprovalStatus;
    }

    public String getDataApprovalStatus() 
    {
        return dataApprovalStatus;
    }
    public void setProcessKey(String processKey) 
    {
        this.processKey = processKey;
    }

    public String getProcessKey() 
    {
        return processKey;
    }
    public void setTaskProcessKey(String taskProcessKey) 
    {
        this.taskProcessKey = taskProcessKey;
    }

    public String getTaskProcessKey() 
    {
        return taskProcessKey;
    }
    public void setTaskNodeKey(String taskNodeKey) 
    {
        this.taskNodeKey = taskNodeKey;
    }

    public String getTaskNodeKey() 
    {
        return taskNodeKey;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("type", getType())
            .append("barOrder", getBarOrder())
            .append("pageId", getPageId())
            .append("pageName", getPageName())
            .append("remark", getRemark())
            .append("createById", getCreateById())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateById", getUpdateById())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .append("dataApprovalStatus", getDataApprovalStatus())
            .append("processKey", getProcessKey())
            .append("taskProcessKey", getTaskProcessKey())
            .append("taskNodeKey", getTaskNodeKey())
            .toString();
    }

    public MobilePageDesignData getMobilePageDesignData() {
        return mobilePageDesignData;
    }

    public void setMobilePageDesignData(MobilePageDesignData mobilePageDesignData) {
        this.mobilePageDesignData = mobilePageDesignData;
    }
}
