package com.zkqy.system.mapper;

import java.util.List;
import java.util.Map;

import com.zkqy.system.entity.MobilePageDesignData;
import org.apache.ibatis.annotations.Param;

/**
 * 新新页面设计Mapper接口
 * 
 * @author zkqy
 * @date 2025-03-24
 */
public interface MobilePageDesignDataMapper 
{
    /**
     * 查询新新页面设计
     * 
     * @param id 新新页面设计主键
     * @return 新新页面设计
     */
    public MobilePageDesignData selectMobilePageDesignDataById(Long id);

    /**
     * 查询新新页面设计列表
     * 
     * @param mobilePageDesignData 新新页面设计
     * @return 新新页面设计集合
     */
    public List<MobilePageDesignData> selectMobilePageDesignDataList(MobilePageDesignData mobilePageDesignData);

    /**
     * 新增新新页面设计
     * 
     * @param mobilePageDesignData 新新页面设计
     * @return 结果
     */
    public int insertMobilePageDesignData(MobilePageDesignData mobilePageDesignData);

    /**
     * 修改新新页面设计
     * 
     * @param mobilePageDesignData 新新页面设计
     * @return 结果
     */
    public int updateMobilePageDesignData(MobilePageDesignData mobilePageDesignData);

    /**
     * 删除新新页面设计
     * 
     * @param id 新新页面设计主键
     * @return 结果
     */
    public int deleteMobilePageDesignDataById(Long id);

    /**
     * 批量删除新新页面设计
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMobilePageDesignDataByIds(Long[] ids);

    List<Map<String, Object>> executeQuerySql(@Param("executeSql") String executeSql);
    int executeUpdateSql(@Param("executeSql") String executeSql);
    int executeInsertSql(@Param("executeSql") String executeSql);
    int executeDeleteSql(@Param("executeSql") String executeSql);
}
