package com.zkqy.system.service;

import java.util.List;
import java.util.Map;

import com.zkqy.system.entity.MobilePageDesignData;
import com.zkqy.system.entity.MobilePageNavigationBar;

/**
 * 新新页面设计Service接口
 * 
 * @author zkqy
 * @date 2025-03-24
 */
public interface IMobilePageDesignDataService 
{
    /**
     * 查询新新页面设计
     * 
     * @param id 新新页面设计主键
     * @return 新新页面设计
     */
    public MobilePageDesignData selectMobilePageDesignDataById(Long id);

    /**
     * 查询新新页面设计列表
     * 
     * @param mobilePageDesignData 新新页面设计
     * @return 新新页面设计集合
     */
    public List<MobilePageDesignData> selectMobilePageDesignDataList(MobilePageDesignData mobilePageDesignData);

    /**
     * 新增新新页面设计
     * 
     * @param mobilePageDesignData 新新页面设计
     * @return 结果
     */
    public int insertMobilePageDesignData(MobilePageDesignData mobilePageDesignData);

    /**
     * 修改新新页面设计
     * 
     * @param mobilePageDesignData 新新页面设计
     * @return 结果
     */
    public int updateMobilePageDesignData(MobilePageDesignData mobilePageDesignData);

    /**
     * 批量删除新新页面设计
     * 
     * @param ids 需要删除的新新页面设计主键集合
     * @return 结果
     */
    public int deleteMobilePageDesignDataByIds(Long[] ids);

    /**
     * 删除新新页面设计信息
     * 
     * @param id 新新页面设计主键
     * @return 结果
     */
    public int deleteMobilePageDesignDataById(Long id);

    String getTableNameByPageOptions(String pageOptions);

    List<Map<String, Object>> executeQuerySql(String fullQuerySql);

    int executeUpdateSql(String fullQuerySql);

    int executeInsertSql(String fullQuerySql);

    int executeDeleteSql(String fullQuerySql);

    String fillUpdateJsonPageData(MobilePageDesignData fromDesignData, MobilePageDesignData toDesignData, Long searchId);

    String mapToInsertSql(Map<String, Object> dataMap, Long pageId);

    String mapToUpdateSql2(Map<String, Object> dataMap, Long pageId);

    String mapToDeleteSql(Long lineId, Long pageId);

    String mapToQuerySql(String pageJson);

    void fillPageIdToHtmlData(MobilePageDesignData mobilePageDesignData);

}
