package com.zkqy.system.service;

import java.util.List;
import com.zkqy.system.entity.MobilePageNavigationBar;


/**
 * 移动端页面导航条设计Service接口
 * 
 * @author zkqy
 * @date 2025-04-07
 */
public interface IMobilePageNavigationBarService 
{
    /**
     * 查询移动端页面导航条设计
     * 
     * @param id 移动端页面导航条设计主键
     * @return 移动端页面导航条设计
     */
    public MobilePageNavigationBar selectMobilePageNavigationBarById(Long id);

    /**
     * 查询移动端页面导航条设计列表
     * 
     * @param mobilePageNavigationBar 移动端页面导航条设计
     * @return 移动端页面导航条设计集合
     */
    public List<MobilePageNavigationBar> selectMobilePageNavigationBarList(MobilePageNavigationBar mobilePageNavigationBar);

    /**
     * 新增移动端页面导航条设计
     * 
     * @param mobilePageNavigationBar 移动端页面导航条设计
     * @return 结果
     */
    public int insertMobilePageNavigationBar(MobilePageNavigationBar mobilePageNavigationBar);

    /**
     * 修改移动端页面导航条设计
     * 
     * @param mobilePageNavigationBar 移动端页面导航条设计
     * @return 结果
     */
    public int updateMobilePageNavigationBar(MobilePageNavigationBar mobilePageNavigationBar);

    /**
     * 批量删除移动端页面导航条设计
     * 
     * @param ids 需要删除的移动端页面导航条设计主键集合
     * @return 结果
     */
    public int deleteMobilePageNavigationBarByIds(Long[] ids);

    /**
     * 删除移动端页面导航条设计信息
     * 
     * @param id 移动端页面导航条设计主键
     * @return 结果
     */
    public int deleteMobilePageNavigationBarById(Long id);
}
